Journeys

Rename a journey (Preview)

Preview · Available to selected organizations. Renames a journey. Use this endpoint to rename a journey through the Samva email API.

PATCH
/v1/journeys/{id}

Renames a journey.

x-api-key<token>

In: header

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*JourneyName
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 200

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/journeys/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "status": "draft",  "revision": "string",  "draft": {    "trigger": {      "type": "event",      "eventName": "string"    },    "rootNodeId": "string",    "nodes": {      "property1": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      },      "property2": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      }    },    "goal": {      "eventName": "string"    },    "reentry": true  },  "publishedVersion": -9007199254740991,  "publishedAt": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation